javax.visrec.util

## Class BoundingBox

- java.lang.Object
- - javax.visrec.util.BoundingBox

    public class BoundingBox
    extends Object

This class represents a bounding box over image at specified position, dimensions, label and score.

Since:
  1.0
Author:
  Zoran Sevarac

### Constructor Summary

Constructors
Constructor and Description
`BoundingBox(String label, float score, int x, int y, float width, float height)`

### Method Summary

All Methods Instance Methods Concrete Methods
`float` `getHeight()`
`int` `getId()`
`String` `getLabel()`
`float` `getScore()`
`float` `getWidth()`
`float` `getX()`
`float` `getY()`
`void` `setId(int id)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BoundingBox

    public BoundingBox(String label,
                       float score,
                       int x,
                       int y,
                       float width,
                       float height)

### Method Detail

#### getX

    public float getX()

#### getY

    public float getY()

#### getWidth

    public float getWidth()

#### getHeight

    public float getHeight()

#### getId

    public int getId()

#### setId

    public void setId(int id)

#### getScore

    public float getScore()

#### getLabel

    public String getLabel()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`